%define		_class		HTML
%define		_subclass	CSS
%define		_status		stable
%define		_pearname	HTML_CSS
Summary:	%{_pearname} - class for generating CSS declarations
Summary(pl.UTF-8):	%{_pearname} - klasa do generowania deklaracji CSS
Name:		php-pear-%{_pearname}
Version:	1.5.4
Release:	4
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	3bf50656f73175b9d57c7dd35ece4b49
URL:		http://pear.php.net/package/HTML_CSS/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-HTML_Common >= 1.2.4
Requires:	php-pear-PEAR-core >= 1:1.5.4
Suggests:	php-pear-PHPUnit
Suggests:	php-pear-Services_W3C_CSSValidator
Obsoletes:	php-pear-HTML_CSS-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# included in tests
%define		_noautoreq 'pear(HTML_TestListener.php)' 'pear(TestUnit.php)' 'pear(PEAR.*)' 'pear(Services/W3C/CSSValidator.*)' 'pear(PHPUnit.*)'

%description
%{_pearname} provides a simple interface for generating a stylesheet
declaration. It is completely standards compliant, and has some great
features:
- simple OO interface to CSS definitions
- output to:
  - inline stylesheet declarations
  - document internal stylesheet declarations
  - standalone stylesheet declarations
  - array of definitions

In addition, it shares the following with HTML_Common based classes:
- indent style support
- line ending style

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
%{_pearname} dostarcza prostego interfejsu do generowania deklaracji
arkusza stylów. Jest całkowicie zgodny ze standardami, i ma kilka
świetnych cech:
- prosty obiektowo zorientowany interfejs do definicji CSS
- wyjście do:
  - deklaracji arkusza stylów w miejscu
  - wewnętrznych deklaracji arkusza stylów w dokumencie
  - samodzielnego pliku z definicjami
  - tablicy definicji

Ponadto współdzieli następujące cechy z klasami opartymi na
HTML_Common:
- różne style wcięć
- różne rodzaje znaków końca linii

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php
%{php_pear_dir}/HTML/CSS
%changelog
* Sun May 03 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/php-pear-HTML_CSS.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 830d72b
- drop obsolete and outdated manual inclusion of rpm macros

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> bd99cea
- use virtual php extension deps (to be independant of php version)
- release 4 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 387b041
- release 3

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 4982db1
- dropped -tests

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> a5e472e
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> efc93c6
- updated to: 1.5.4

* Fri Jan 23 2009 Adam Gołębiowski <adamg@pld-linux.org> 2c7455c
- updated to 1.5.3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> a1b8aaa
- rel 2

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 414ef40
- 1.5.0

* Sat Dec 22 2007 Adam Gołębiowski <adamg@pld-linux.org> e63c777
- updated to 1.4.0

* Mon Nov 19 2007 Elan Ruusamäe <glen@pld-linux.org> efeb4aa
- rel 2

* Thu Nov 15 2007 Elan Ruusamäe <glen@pld-linux.org> 131df28
- 1.3.0

* Sat Sep 01 2007 Adam Gołębiowski <adamg@pld-linux.org> 20a3108
- updated to 1.2.0

* Wed Feb 28 2007 Elan Ruusamäe <glen@pld-linux.org> bdb4805
- 1.1.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 2cb43ff
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1a6a8f1
- converted to UTF-8

* Tue Dec 26 2006 Adam Gołębiowski <adamg@pld-linux.org> 47ed915
- updated to 1.0.1

* Mon Jun 26 2006 Adam Gołębiowski <adamg@pld-linux.org> aeacd55
- updated to 1.0.0

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> c27f06f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 25ca854
- AutoProv: no for -tests

